// eVCDlg.h : header file
//

#if !defined(AFX_EVCDLG_H__E5A0D4E1_EE1C_4D35_AF35_D44ABABCAB47__INCLUDED_)
#define AFX_EVCDLG_H__E5A0D4E1_EE1C_4D35_AF35_D44ABABCAB47__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CEVCDlg dialog

#include "Woosim_Printer_LIB.h"

#pragma comment(lib,"WoosimPrinter.lib")

class CEVCDlg : public CDialog
{
// Construction
public:
	CEVCDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CEVCDlg)
	enum { IDD = IDD_EVC_DIALOG };
	CComboBox	m_ccb4;
	CComboBox	m_ccb3;
	CComboBox	m_ccb2;
	CComboBox	m_ccb1;
	CString	m_addr;
	CString	m_portNum;
	CString	m_strRecvData;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEVCDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CEVCDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeCombo1();
	afx_msg void OnButton1();
	afx_msg void OnButton12();
	afx_msg void OnButton2();
	afx_msg void OnButton4();
	afx_msg void OnButton5();
	afx_msg void OnButton6();
	afx_msg void OnButton3();
	afx_msg void OnButton7();
	afx_msg void OnButton8();
	afx_msg void OnButton9();
	afx_msg void OnButton10();
	afx_msg void OnButton11();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EVCDLG_H__E5A0D4E1_EE1C_4D35_AF35_D44ABABCAB47__INCLUDED_)
